bind-dyndb-ldap (11.10-6ubuntu11.24.04.6) noble-security; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.39-0ubuntu0.24.04.5

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 May 2026 09:49:05 -0400

bind-dyndb-ldap (11.10-6ubuntu11.24.04.5) noble-security; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.39-0ubuntu0.24.04.3

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Mar 2026 16:41:53 -0400

bind-dyndb-ldap (11.10-6ubuntu11.24.04.4) noble-security; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.39-0ubuntu0.24.04.2

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2025 10:05:54 -0400

bind-dyndb-ldap (11.10-6ubuntu11.24.04.3) noble; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.39-0ubuntu0.24.04.1
    (LP: #2112520)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 19 Aug 2025 14:16:40 -0400

bind-dyndb-ldap (11.10-6ubuntu11.24.04.2) noble-security; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.30-0ubuntu0.24.04.2

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Jan 2025 14:29:34 -0500

bind-dyndb-ldap (11.10-6ubuntu11.24.04.1) noble; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.30-0ubuntu0.24.04.1
    (LP: #2073310)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 24 Sep 2024 08:22:13 -0400

bind-dyndb-ldap (11.10-6ubuntu11) noble-security; urgency=medium

  * Fix compatibility and rebuild with bind9-libs 1:9.18.28-0ubuntu0.24.04.1
    - debian/patches/fix-9.18.25-build.diff: try to detect dns_db_settask
      signature at configure time in configure.ac, src/ldap_driver.c.
    - debian/patches/fix-9.18.28-build.diff: add missing initializers in
      src/ldap_driver.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Jul 2024 10:07:41 -0400

bind-dyndb-ldap (11.10-6ubuntu10) noble; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.24-0ubuntu5

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Apr 2024 12:20:23 +0200

bind-dyndb-ldap (11.10-6ubuntu9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:04 +1100

bind-dyndb-ldap (11.10-6ubuntu8) noble; urgency=medium

  * No change rebuild with bind9-libs 1:9.18.24-0ubuntu3

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 20 Mar 2024 21:30:29 -0300

bind-dyndb-ldap (11.10-6ubuntu7) noble; urgency=medium

  * No change rebuild to get riscv64 built with the right bind9-libs.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Feb 2024 09:18:14 -0500

bind-dyndb-ldap (11.10-6ubuntu6) noble; urgency=medium

  * Fix compatibility and rebuild with bind9-libs 1:9.18.24-0ubuntu1
    - debian/patches/fix-9.18.24-build-1.diff: use BIND macros when
      defining DNS names in src/mldap.c.
    - debian/patches/fix-9.18.24-build-2.diff: include dydnb-config.h prior
      to any BIND headers in src/syncrepl.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Feb 2024 17:59:43 -0500

bind-dyndb-ldap (11.10-6ubuntu4) noble; urgency=medium

  * No-change rebuild with bind9-libs 1:9.18.21-0ubuntu1 (LP: #2040359)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 25 Jan 2024 15:10:49 -0700

bind-dyndb-ldap (11.10-6ubuntu3) mantic; urgency=medium

  * No-change rebuild with bind9-libs 1:9.18.18-0ubuntu2

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Sep 2023 14:14:25 -0400

bind-dyndb-ldap (11.10-6ubuntu2) mantic; urgency=medium

  * No-change rebuild with bind9-libs 1:9.18.18-0ubuntu1

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 15 Sep 2023 10:19:22 -0700

bind-dyndb-ldap (11.10-6ubuntu1) mantic; urgency=medium

  * d/t/dyndb-ldap fixes:
    - use correct attribute in the bind9 dn entry (LP: #2034251)
    - allow writing to the dns tree (LP: #2034250)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Sep 2023 10:05:46 -0300

bind-dyndb-ldap (11.10-6build1) mantic; urgency=medium

  * No-change rebuild with bind9-libs 1:9.18.16-1ubuntu3

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 31 Aug 2023 14:31:02 -0300

bind-dyndb-ldap (11.10-6) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Add a DEP8 test

  [ Timo Aaltonen ]
  * Add gitlab-ci.yml.
  * tests: Add bind9-host to Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Aug 2023 12:51:27 +0300

bind-dyndb-ldap (11.10-5) unstable; urgency=medium

  * control, patches: Fix build against bind9 9.18.13.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 Mar 2023 11:27:22 +0200

bind-dyndb-ldap (11.10-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.

  [ Jakob Haufe ]
  * Switch to bind 9.18.12

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Feb 2023 10:36:39 +0200

bind-dyndb-ldap (11.10-3) unstable; urgency=medium

  [ Jakob Haufe ]
  * Import patch from https://pagure.io/bind-dyndb-ldap/pull-request/218
  * Switch to bind 9.18.11

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Feb 2023 22:51:41 +0200

bind-dyndb-ldap (11.10-2) unstable; urgency=medium

  * patches: Fix build against bind9 9.18.10, and bump the hardcoded
    version to match. (Closes: #1027094)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Jan 2023 15:08:57 +0200

bind-dyndb-ldap (11.10-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * rules: Don't force the libdir to /usr/lib. Named can find plugins
    from the plugin dir without specifying the full path.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 17:37:46 +0300

bind-dyndb-ldap (11.9-5) unstable; urgency=medium

  * support-9.18.diff: Fix build with bind9 9.18. (Closes: #1006014)
    - drop patches that aren't needed anymore with this
  * control, rules: Use a strict dependency on bind9-libs that the
    package was built against, in order to avoid bind9 updates breaking
    the package. (Closes: #1004729)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Feb 2022 13:17:07 +0200

bind-dyndb-ldap (11.9-4) unstable; urgency=medium

  * Rebuild against bind9 9.17.19-3. (Closes: #998575, #999463)
  * Fix keytab name.
  * hardcode-version.diff: Hardcode the abi version.
  * fix-atomics.diff: Set GNUC_ATOMICS.
  * use-isc_result_totext.diff: Migrate to isc_result_totext.
  * use-dns_name_copy.diff: Use dns_name_copy.
  * fix-typo.diff: Fix a typo.
  * rules: Add -Wno-uninitialized to CFLAGS.
  * use-dns_ssuruletype_t.diff: Migrate to dns_ssuruletype_t.
  * define-have-threads-h.diff: Adjust for current bind9.
  * drop-serialize.diff: dns_db_serialize is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 23:24:37 +0200

bind-dyndb-ldap (11.9-3) unstable; urgency=medium

  * Fix build with current bind9.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 21:38:18 +0300

bind-dyndb-ldap (11.9-2) unstable; urgency=medium

  * Rebuild against current bind9.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 21:28:52 +0300

bind-dyndb-ldap (11.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:37:16 +0300

bind-dyndb-ldap (11.8-1) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * d/p/fix-ftbfs-openldap-2.5.diff: Fix FTBFS when building with
    OpenLDAP 2.5.

  [ Timo Aaltonen ]
  * New upstream release.
  * Drop upstreamed patches.
  * fix-ftbfs.diff: Fix the config include.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 May 2021 10:56:50 +0300

bind-dyndb-ldap (11.6-3) unstable; urgency=medium

  * support-9.16.13.diff: Fix build against bind 9.16.13 and up.
    (Closes: #986509)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 May 2021 19:34:58 +0300

bind-dyndb-ldap (11.6-2) unstable; urgency=medium

  * support-bind-9.16.11.diff: Fix build against bind9 9.16.11 and .11.
    (Closes: #981100)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Feb 2021 12:47:06 +0200

bind-dyndb-ldap (11.6-1) unstable; urgency=medium

  * New upstream release.
  * support-9.16.9.diff: Support bind 9.16.9.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Nov 2020 09:59:37 +0200

bind-dyndb-ldap (11.5-2) unstable; urgency=medium

  * Rebuild against current bind9. (Closes: #974741)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 15 Nov 2020 09:20:24 +0200

bind-dyndb-ldap (11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 25 Sep 2020 10:54:56 +0300

bind-dyndb-ldap (11.4-1) unstable; urgency=medium

  * New upstream release.
  * bind-9.16-support.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Sep 2020 12:01:09 +0300

bind-dyndb-ldap (11.3-2) unstable; urgency=medium

  * bind-9.16-support.diff: Attempt to fix build on 32bit.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 13:38:20 +0300

bind-dyndb-ldap (11.3-1) unstable; urgency=medium

  * New upstream release.
  * fix-werror-build.diff: Refreshed.
  * bind-9.16-support.diff: Support bind 9.16. (LP: #1874568)
  * control: Build-depend on bind9-dev. (Closes: #942499)
  * source: Extend diff-ignore.
  * control: Bump policy to 4.5.0.
  * control: Migrate to debhelper-compat, bump to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Aug 2020 15:20:35 +0300

bind-dyndb-ldap (11.2-1) unstable; urgency=medium

  * New upstream release.
  * add-empty-fallback.diff, add-int.h-include.diff, use-correct-dn-value.diff,
    0003-Support-for-BIND-9.11.3.patch: Dropped, upstream
  * source: Update extend-diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Nov 2019 20:53:31 +0200

bind-dyndb-ldap (11.1-6) unstable; urgency=medium

  * use-correct-dn-value.diff: Fix ftbfs with gcc9. (Closes: #925639)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2019 19:39:12 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bind9-dyndb-ldap`.
